Assets Under Management Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/metrics/aum

Get a breakdown of the Assets Under Management for a firm.

Query parameters

  • filter[agency_in_your_name] boolean

    Filter the AUM to only include plans that are in the firm's name. False = all, true = only plans with agency in your name

application/json

Body

  • date string(date)

    The date which you would like to run the key metric from.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]

      The Assets Under Management calculations for a firm on the current date or the date submitted.
      data.total: Total of all investment, pension, cash plans.

      abstract_types
      data.abstract_types.assets: Total of all assets.
      data.abstract_types.liabilities: Total of all liabilities.
      data.abstract_types.protection: Total of all protection.

      plan_types
      data.plan_types.annuity: Total of all annuities.
      data.plan_types.cash_account: Total of all cash plans.
      data.plan_types.fixed_asset: Total of all fixed asset plans.
      data.plan_types.general_insurance: Total of all fixed general insurance assets.
      data.plan_types.group_protection: Total of all fixed group protection assets.
      data.plan_types.investment: Total of all investment plans.
      data.plan_types.loan_credit: Total of all loan credit plans.
      data.plan_types.mortgage: Total of all mortgage plans.
      data.plan_types.pension: Total of all pension plans.
      data.protection_policy.pension: Total of all protection policy plans.

      Hide data attributes Show data attributes object
      • metric string
      • data object
        Hide data attributes Show data attributes object
        • total object
          Hide total attributes Show total attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • abstract_types object
          Hide abstract_types attributes Show abstract_types attributes object
          • assets object
            Hide assets attributes Show assets attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • liabilities object
            Hide liabilities attributes Show liabilities attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • protection object
            Hide protection attributes Show protection attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
        • plan_types object
          Hide plan_types attributes Show plan_types attributes object
          • annuity object
            Hide annuity attributes Show annuity attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • cash_account object
            Hide cash_account attributes Show cash_account attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • fixed_asset object
            Hide fixed_asset attributes Show fixed_asset attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • general_insurance object
            Hide general_insurance attributes Show general_insurance attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • group_protection object
            Hide group_protection attributes Show group_protection attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • investment object
            Hide investment attributes Show investment attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • loan_credit object
            Hide loan_credit attributes Show loan_credit attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • mortgage object
            Hide mortgage attributes Show mortgage attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • pension object
            Hide pension attributes Show pension attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • protection_policy object
            Hide protection_policy attributes Show protection_policy attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
      • date string
      • requested_at string
GET /api/v1/metrics/aum
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/metrics/aum' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"date":"2023-01-01"}'
Request examples
{
  "date": "2023-01-01"
}
Response examples (200)
{
  "data": [
    [
      {
        "metric": "aum",
        "data": {
          "total": {
            "amount": {
              "example": "1234567",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£12,345.67",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "abstract_types": {
            "assets": {
              "amount": {
                "example": "1234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£12,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "liabilities": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "protection": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            }
          },
          "plan_types": {
            "annuity": {
              "amount": {
                "example": "1234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£12,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "cash_account": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "fixed_asset": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "general_insurance": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "group_protection": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "investment": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "loan_credit": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "mortgage": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "pension": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "protection_policy": {
              "amount": {
                "example": "234567",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£2,345.67",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            }
          }
        },
        "date": "2023-06-30",
        "requested_at": "2023-07-01 12:30:45"
      }
    ]
  ]
}